/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#ifndef _I2C_H
#define _I2C_H
#include <project.h>

#define TLE493_ADDRESS (0x35) // Address of I2C Sensor

#define TLE493D_B_MULT  0.13
#define TLE493D_NUM_REG       23
#define TLE493D_B_MULT        0.13
#define TLE493D_TEMP_MULT     0.24
#define TLE493D_TEMP_OFFSET   1180 
#define TLE493D_TEMP_25       25  
// Register  for Dataoutput
#define BX      (0x00)
#define BY      (0x01)
#define BZ      (0x02)
#define TEMP    (0x03)
#define BX2     (0x04)
#define TEMP2   (0x05)

// Diagnostic Register
#define DIAG    (0x06)
#define VER     (0x16)

// Config Register
#define CONFIG_REGISTER       (0x10)
#define MOD1_REGISTER         (0x11)

    
uint8 tle493d_ReadReg(uint8 Reg);
void tle493d_WriteReg(uint8 Reg, uint8 value);

/* Neue Sektion fuer den MPU6050
Ich moechte erstmal testen, ob es hiermit klappt, weil es gerade (18.10.2021)
mit den tle493d irgendwie nicht klappt
*/
#define MPU6050_ADDRESS 0x68
#define WHO_AM_I 0x75


#define ACCEL_CONFIG 0x1B

#define ACCEL_XOUT_H 0x3B
#define ACCEL_XOUT_L 0x3C
#define ACCEL_YOUT_H 0x3D
#define ACCEL_YOUT_L 0x3E
#define ACCEL_ZOUT_H 0x3F
#define ACCEL_ZOUT_L 0x40
uint8 mpu6050_readreg(uint8 Reg);
void mpu6050_WriteReg(uint8 Reg, uint8 value);
#endif
/* [] END OF FILE */
