/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <i2c.h>

uint8 tle493d_ReadReg(uint8 Reg)
{
    uint8 Write_Buf[1] = {0};
    Write_Buf[0] = Reg;
    
    uint8 Read_Buf[1] = {0};
 
    I2C_1_I2CMasterWriteBuf(TLE493_ADDRESS,(uint8 *)Write_Buf,1,I2C_1_I2C_MODE_NO_STOP);
    while((I2C_1_I2CMasterStatus() & I2C_1_I2C_MSTAT_WR_CMPLT)== 0){}
    
    I2C_1_I2CMasterReadBuf(TLE493_ADDRESS, (uint8 *)Read_Buf,1,I2C_1_I2C_MODE_REPEAT_START);
    while((I2C_1_I2CMasterStatus() & I2C_1_I2C_MSTAT_RD_CMPLT) == 0){}
    
    return Read_Buf[0];
}
// to write, you want to write 2 values:    (1) The register address that you want to write to
//                                          (2) The value you wish to write the register



void tle493d_WriteReg(uint8 Reg, uint8 value)
{
    uint8 Write_Buf[2] = {0};
    Write_Buf[0] = Reg;
    Write_Buf[1] = value;
    
    I2C_1_I2CMasterWriteBuf(TLE493_ADDRESS,(uint8 *) Write_Buf,2, I2C_1_I2C_MODE_COMPLETE_XFER);
    while((I2C_1_I2CMasterStatus() & I2C_1_I2C_MSTAT_WR_CMPLT)== 0){}
    
    return;
}


uint8 mpu6050_readreg(uint8 Reg)
{
    uint8 Write_Buf[1] = {0};
    Write_Buf[0] = Reg;
    
    uint8 Read_Buf[1] = {0};
 
    I2C_1_I2CMasterWriteBuf(MPU6050_ADDRESS,(uint8 *)Write_Buf,1,I2C_1_I2C_MODE_NO_STOP);
    while((I2C_1_I2CMasterStatus() & I2C_1_I2C_MSTAT_WR_CMPLT)== 0){}
    
    I2C_1_I2CMasterReadBuf(MPU6050_ADDRESS, (uint8 *)Read_Buf,1,I2C_1_I2C_MODE_REPEAT_START);
    while((I2C_1_I2CMasterStatus() & I2C_1_I2C_MSTAT_RD_CMPLT) == 0){}
    
    return Read_Buf[0];
}

void mpu6050_WriteReg(uint8 Reg, uint8 value)
{
    uint8 Write_Buf[2] = {0};
    Write_Buf[0] = Reg;
    Write_Buf[1] = value;
    
    I2C_1_I2CMasterWriteBuf(MPU6050_ADDRESS,(uint8 *) Write_Buf,2, I2C_1_I2C_MODE_COMPLETE_XFER);
    while((I2C_1_I2CMasterStatus() & I2C_1_I2C_MSTAT_WR_CMPLT)== 0){}
    
    return;
}
/* [] END OF FILE */
